<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: ACMP Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">ACMP Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../de/dbc/group___n_a_n_o1_x2___a_c_m_p___driver.html">ACMP Driver</a> &raquo; <a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">ACMP Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for ACMP Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#add_2dd6_2group______n__a__n__o1__x2______a__c__m__p______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">ACMP_SET_NEG_SRC</a>(acmp,  u32ChNum,  u32Src)</td></tr>
<tr class="memdesc:ga45a665764c52ef6a9f04d7ea146628e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable output inverse.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">More...</a><br /></td></tr>
<tr class="separator:ga45a665764c52ef6a9f04d7ea146628e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff058bc40270bc680c5342e61286d1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">ACMP_ENABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6ff058bc40270bc680c5342e61286d1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable hysteresis.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">More...</a><br /></td></tr>
<tr class="separator:ga6ff058bc40270bc680c5342e61286d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">ACMP_DISABLE_HYSTERESIS</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga2d40aa0b9764296df3efdbf123efd67c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable hysteresis.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">More...</a><br /></td></tr>
<tr class="separator:ga2d40aa0b9764296df3efdbf123efd67c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">ACMP_ENABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga3a87980f263cf8d119a0c8c6813c0009"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable interrupt.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">More...</a><br /></td></tr>
<tr class="separator:ga3a87980f263cf8d119a0c8c6813c0009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabeacab51c104e76f4a63e549dd51458e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">ACMP_DISABLE_INT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gabeacab51c104e76f4a63e549dd51458e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable interrupt.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">More...</a><br /></td></tr>
<tr class="separator:gabeacab51c104e76f4a63e549dd51458e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b0826b13566d82221c87495d53f1fd1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">ACMP_ENABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga1b0826b13566d82221c87495d53f1fd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">More...</a><br /></td></tr>
<tr class="separator:ga1b0826b13566d82221c87495d53f1fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">ACMP_DISABLE</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">More...</a><br /></td></tr>
<tr class="separator:gab6d2a6f4b3ff275b7b9c288d4ff9e451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49697bfbf35af67568bed5eea9a16f14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">ACMP_GET_OUTPUT</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga49697bfbf35af67568bed5eea9a16f14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP output value.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">More...</a><br /></td></tr>
<tr class="separator:ga49697bfbf35af67568bed5eea9a16f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">ACMP_GET_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to get ACMP interrupt flag.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">More...</a><br /></td></tr>
<tr class="separator:ga35fd02ebe49db0363ea1b49abd8e0a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6970a7ea11190354b68cf7773ce58941"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">ACMP_CLR_INT_FLAG</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:ga6970a7ea11190354b68cf7773ce58941"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to clear ACMP interrupt flag.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">More...</a><br /></td></tr>
<tr class="separator:ga6970a7ea11190354b68cf7773ce58941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab0a58d9725df2285311084afbbaf804c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0a58d9725df2285311084afbbaf804c">ACMP_ENABLE_WAKEUP</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gab0a58d9725df2285311084afbbaf804c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0a58d9725df2285311084afbbaf804c">More...</a><br /></td></tr>
<tr class="separator:gab0a58d9725df2285311084afbbaf804c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">ACMP_DISABLE_WAKEUP</a>(acmp,  u32ChNum)</td></tr>
<tr class="memdesc:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">More...</a><br /></td></tr>
<tr class="separator:gaf3e3aed0f2919e2a8d61ab1e1dbe7708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad026e3b348b4d01bf08169fcf228ccd4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad026e3b348b4d01bf08169fcf228ccd4">ACMP_CRV_SEL</a>(u32Level)</td></tr>
<tr class="memdesc:gad026e3b348b4d01bf08169fcf228ccd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable ACMP wake-up.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad026e3b348b4d01bf08169fcf228ccd4">More...</a><br /></td></tr>
<tr class="separator:gad026e3b348b4d01bf08169fcf228ccd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">ACMP_ENABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:ga8ea40922e983fbac41f1edb8de6a3508"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to enable CRV(comparator reference voltage)  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">More...</a><br /></td></tr>
<tr class="separator:ga8ea40922e983fbac41f1edb8de6a3508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa02b51a7db91ab851ad314fbf1522774"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">ACMP_DISABLE_CRV</a>(acmp)</td></tr>
<tr class="memdesc:gaa02b51a7db91ab851ad314fbf1522774"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to disable CRV(comparator reference voltage)  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">More...</a><br /></td></tr>
<tr class="separator:gaa02b51a7db91ab851ad314fbf1522774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2ab63928fbc93ddce08d2958788acfa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2ab63928fbc93ddce08d2958788acfa">ACMP_SELECT_P</a>(acmp,  u32ChNum,  u32Src)&#160;&#160;&#160;((acmp)-&gt;CR[(u32ChNum)%2] = ((acmp)-&gt;CR[(u32ChNum)%2] &amp; ~<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gaf23568a25ecc37e0ccc2fbd86fa80bf4">ACMP_CR_CPP0SEL_Msk</a>) | (u32Src))</td></tr>
<tr class="memdesc:gab2ab63928fbc93ddce08d2958788acfa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to select ACMP positive input source for ACMP0.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2ab63928fbc93ddce08d2958788acfa">More...</a><br /></td></tr>
<tr class="separator:gab2ab63928fbc93ddce08d2958788acfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed45bc3a65d7c0e6e468649325bd9a">ACMP_START_CONV</a>(acmp)</td></tr>
<tr class="memdesc:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to start ACMP on sigma-delta mode or slope mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed45bc3a65d7c0e6e468649325bd9a">More...</a><br /></td></tr>
<tr class="separator:gaa8ed45bc3a65d7c0e6e468649325bd9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7505028ec73e3c2360b07efd08a61b14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</td></tr>
<tr class="memdesc:ga7505028ec73e3c2360b07efd08a61b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function open and configure comparator parameters.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">More...</a><br /></td></tr>
<tr class="separator:ga7505028ec73e3c2360b07efd08a61b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum)</td></tr>
<tr class="memdesc:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function close comparator.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">More...</a><br /></td></tr>
<tr class="separator:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga032491a1eaec095524ca772e101bbc00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:ga032491a1eaec095524ca772e101bbc00"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to sigma-delta mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">More...</a><br /></td></tr>
<tr class="separator:ga032491a1eaec095524ca772e101bbc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to slope mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">More...</a><br /></td></tr>
<tr class="separator:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga6970a7ea11190354b68cf7773ce58941" name="ga6970a7ea11190354b68cf7773ce58941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6970a7ea11190354b68cf7773ce58941">&#9670;&nbsp;</a></span>ACMP_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to clear ACMP interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00167">167</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gad026e3b348b4d01bf08169fcf228ccd4" name="gad026e3b348b4d01bf08169fcf228ccd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad026e3b348b4d01bf08169fcf228ccd4">&#9670;&nbsp;</a></span>ACMP_CRV_SEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_CRV_SEL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Level</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable ACMP wake-up. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Level</td><td>comparator reference voltage setting. The formula is: comparator reference voltage = AVDD x (1/6 +u32Level/24) The range of u32Level is 0 ~ 15. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00196">196</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gab6d2a6f4b3ff275b7b9c288d4ff9e451" name="gab6d2a6f4b3ff275b7b9c288d4ff9e451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab6d2a6f4b3ff275b7b9c288d4ff9e451">&#9670;&nbsp;</a></span>ACMP_DISABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_DISABLE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to disable ACMP. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00140">140</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gaa02b51a7db91ab851ad314fbf1522774" name="gaa02b51a7db91ab851ad314fbf1522774"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa02b51a7db91ab851ad314fbf1522774">&#9670;&nbsp;</a></span>ACMP_DISABLE_CRV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_DISABLE_CRV</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to disable CRV(comparator reference voltage) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00212">212</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga2d40aa0b9764296df3efdbf123efd67c" name="ga2d40aa0b9764296df3efdbf123efd67c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2d40aa0b9764296df3efdbf123efd67c">&#9670;&nbsp;</a></span>ACMP_DISABLE_HYSTERESIS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_DISABLE_HYSTERESIS</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to disable hysteresis. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00103">103</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gabeacab51c104e76f4a63e549dd51458e" name="gabeacab51c104e76f4a63e549dd51458e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabeacab51c104e76f4a63e549dd51458e">&#9670;&nbsp;</a></span>ACMP_DISABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_DISABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to disable interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00121">121</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gaf3e3aed0f2919e2a8d61ab1e1dbe7708" name="gaf3e3aed0f2919e2a8d61ab1e1dbe7708"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">&#9670;&nbsp;</a></span>ACMP_DISABLE_WAKEUP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_DISABLE_WAKEUP</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to disable ACMP wake-up. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00185">185</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga1b0826b13566d82221c87495d53f1fd1" name="ga1b0826b13566d82221c87495d53f1fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1b0826b13566d82221c87495d53f1fd1">&#9670;&nbsp;</a></span>ACMP_ENABLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_ENABLE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable ACMP. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00131">131</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga8ea40922e983fbac41f1edb8de6a3508" name="ga8ea40922e983fbac41f1edb8de6a3508"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8ea40922e983fbac41f1edb8de6a3508">&#9670;&nbsp;</a></span>ACMP_ENABLE_CRV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_ENABLE_CRV</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable CRV(comparator reference voltage) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00204">204</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga6ff058bc40270bc680c5342e61286d1c" name="ga6ff058bc40270bc680c5342e61286d1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6ff058bc40270bc680c5342e61286d1c">&#9670;&nbsp;</a></span>ACMP_ENABLE_HYSTERESIS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_ENABLE_HYSTERESIS</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable hysteresis. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00094">94</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga3a87980f263cf8d119a0c8c6813c0009" name="ga3a87980f263cf8d119a0c8c6813c0009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3a87980f263cf8d119a0c8c6813c0009">&#9670;&nbsp;</a></span>ACMP_ENABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_ENABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00112">112</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gab0a58d9725df2285311084afbbaf804c" name="gab0a58d9725df2285311084afbbaf804c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab0a58d9725df2285311084afbbaf804c">&#9670;&nbsp;</a></span>ACMP_ENABLE_WAKEUP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_ENABLE_WAKEUP</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable ACMP wake-up. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00176">176</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga35fd02ebe49db0363ea1b49abd8e0a44" name="ga35fd02ebe49db0363ea1b49abd8e0a44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga35fd02ebe49db0363ea1b49abd8e0a44">&#9670;&nbsp;</a></span>ACMP_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to get ACMP interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>ACMP interrupt occurred or not </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00158">158</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga49697bfbf35af67568bed5eea9a16f14" name="ga49697bfbf35af67568bed5eea9a16f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga49697bfbf35af67568bed5eea9a16f14">&#9670;&nbsp;</a></span>ACMP_GET_OUTPUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_GET_OUTPUT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to get ACMP output value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 or 0 </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00149">149</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gab2ab63928fbc93ddce08d2958788acfa" name="gab2ab63928fbc93ddce08d2958788acfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab2ab63928fbc93ddce08d2958788acfa">&#9670;&nbsp;</a></span>ACMP_SELECT_P</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_SELECT_P</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Src&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((acmp)-&gt;CR[(u32ChNum)%2] = ((acmp)-&gt;CR[(u32ChNum)%2] &amp; ~<a class="el" href="../../de/d02/group___n_a_n_o1_x2___peripherals.html#gaf23568a25ecc37e0ccc2fbd86fa80bf4">ACMP_CR_CPP0SEL_Msk</a>) | (u32Src))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to select ACMP positive input source for ACMP0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The pointer of the specified ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Src</td><td>Comparator positive input selection. Including:<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">ACMP_CR_CPP0SEL_PA1</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">ACMP_CR_CPP0SEL_PA2</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">ACMP_CR_CPP0SEL_PA3</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">ACMP_CR_CPP0SEL_PA4</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro will set CPP0SEL (CR[0]) to determine the comparator positive input source. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00226">226</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="ga45a665764c52ef6a9f04d7ea146628e4" name="ga45a665764c52ef6a9f04d7ea146628e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga45a665764c52ef6a9f04d7ea146628e4">&#9670;&nbsp;</a></span>ACMP_SET_NEG_SRC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_SET_NEG_SRC</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32ChNum, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Src&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to enable output inverse. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>The ACMP number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Src</td><td>is comparator0 negative input selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac43151f2443ae795d5e6a437f77eedd3">ACMP_CR_CN_PIN</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05e9d3b0cec7ab5576b38c408fdab598">ACMP_CR_CN_VREFI</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7ad76b3d6869d22a8ce20c5bae4e117">ACMP_CR_CN_AGND</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00085">85</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<a id="gaa8ed45bc3a65d7c0e6e468649325bd9a" name="gaa8ed45bc3a65d7c0e6e468649325bd9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa8ed45bc3a65d7c0e6e468649325bd9a">&#9670;&nbsp;</a></span>ACMP_START_CONV</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_START_CONV</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">acmp</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to start ACMP on sigma-delta mode or slope mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">acmp</td><td>The base address of ACMP module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d2f/acmp_8h_source.html#l00234">234</a> of file <a class="el" href="../../dc/d2f/acmp_8h_source.html">acmp.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga27fe67fe691fb1142b7f383b2e9986d1" name="ga27fe67fe691fb1142b7f383b2e9986d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga27fe67fe691fb1142b7f383b2e9986d1">&#9670;&nbsp;</a></span>ACMP_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ACMP_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *&#160;</td>
          <td class="paramname"><em>Acmp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChNum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function close comparator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">Acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>comparator number. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d3/df1/acmp_8c_source.html#l00071">71</a> of file <a class="el" href="../../d3/df1/acmp_8c_source.html">acmp.c</a>.</p>

</div>
</div>
<a id="ga7505028ec73e3c2360b07efd08a61b14" name="ga7505028ec73e3c2360b07efd08a61b14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7505028ec73e3c2360b07efd08a61b14">&#9670;&nbsp;</a></span>ACMP_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ACMP_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *&#160;</td>
          <td class="paramname"><em>Acmp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32NegSrc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32HysteresisEn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function open and configure comparator parameters. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">Acmp</td><td>The base address of ACMP module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChNum</td><td>comparator number. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32NegSrc</td><td>is comparator0 negative input selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac43151f2443ae795d5e6a437f77eedd3">ACMP_CR_CN_PIN</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05e9d3b0cec7ab5576b38c408fdab598">ACMP_CR_CN_VREFI</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7ad76b3d6869d22a8ce20c5bae4e117">ACMP_CR_CN_AGND</a> if select <a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a> can add comparator reference voltage setting. The formula is: comparator reference voltage = AVDD x (1/6 +CRV/24) The range of CRV is 0 ~ 15. Example : u32NegSrc = ( <a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">ACMP_CR_CN_CRV</a> | 10)</li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32HysteresisEn</td><td>is charge or discharge pin selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8f3deb8884c2d823350257cc2cf4c8ab">ACMP_CR_ACMP_HYSTERSIS_ENABLE</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga25481f9389c229c5bf492dcbe3f059bd">ACMP_CR_ACMP_HYSTERSIS_DISABLE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d3/df1/acmp_8c_source.html#l00055">55</a> of file <a class="el" href="../../d3/df1/acmp_8c_source.html">acmp.c</a>.</p>

</div>
</div>
<a id="ga032491a1eaec095524ca772e101bbc00" name="ga032491a1eaec095524ca772e101bbc00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga032491a1eaec095524ca772e101bbc00">&#9670;&nbsp;</a></span>ACMP_SetSigmaDeltaConv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ACMP_SetSigmaDeltaConv </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimerNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TriggerPolarity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PosPin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChargePin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function configure ACMP to sigma-delta mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimerNum</td><td>is set to 0 to use timer0 and timer1, set to 1 to use timer0 and timer1. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef419c649fdcbf4a27ccaf910037d2f8">ACMP_TIMER01</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga426242524311ceb7ed018380c6d08ced">ACMP_TIMER23</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TriggerPolarity</td><td>is set rising trigger or falling trigger. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb5afbe77b5d1c46cdbf1a1da6c2558e">ACMP_MODCR0_TMR_TRI_LV_RISING</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab040a283194873739457a8a85b1c0c8d">ACMP_MODCR0_TMR_TRI_LV_FALLING</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PosPin</td><td>is comparator0 positive input selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">ACMP_CR_CPP0SEL_PA1</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">ACMP_CR_CPP0SEL_PA2</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">ACMP_CR_CPP0SEL_PA3</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">ACMP_CR_CPP0SEL_PA4</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChargePin</td><td>is charge or discharge pin selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15e2af0fea9fbf8b15ddedc44f186d12">ACMP_MODCR0_CH_DIS_PINSEL_PA1</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab670864bd85e62048db8435ea3a826b7">ACMP_MODCR0_CH_DIS_PINSEL_PA2</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga202acb91d2c6b5c0c85926f03e002440">ACMP_MODCR0_CH_DIS_PINSEL_PA3</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7d1c1926b071befc76924b883e4d0c2">ACMP_MODCR0_CH_DIS_PINSEL_PA4</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab81cfc3b514619a7fb9d081fedab153b">ACMP_MODCR0_CH_DIS_PINSEL_PA5</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada38658fdc228b40aefefd7766810e6c">ACMP_MODCR0_CH_DIS_PINSEL_PA6</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4ab39c376c5bf5d9096964f9587f49">ACMP_MODCR0_CH_DIS_PINSEL_PA14</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30f3f7b9ef410b74749b6e4c9e276132">ACMP_MODCR0_CH_DIS_PINSEL_PF5</a></li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d3/df1/acmp_8c_source.html#l00102">102</a> of file <a class="el" href="../../d3/df1/acmp_8c_source.html">acmp.c</a>.</p>

</div>
</div>
<a id="gac937fcc295fb0019f6b5bacbbbd63c58" name="gac937fcc295fb0019f6b5bacbbbd63c58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac937fcc295fb0019f6b5bacbbbd63c58">&#9670;&nbsp;</a></span>ACMP_SetSlopeConv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ACMP_SetSlopeConv </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimerNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TriggerPolarity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PosPin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ChargePin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function configure ACMP to slope mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimerNum</td><td>is set to 0 to use timer0 and timer1, set to 1 to use timer0 and timer1. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef419c649fdcbf4a27ccaf910037d2f8">ACMP_TIMER01</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga426242524311ceb7ed018380c6d08ced">ACMP_TIMER23</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TriggerPolarity</td><td>is set rising trigger or falling trigger. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb5afbe77b5d1c46cdbf1a1da6c2558e">ACMP_MODCR0_TMR_TRI_LV_RISING</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab040a283194873739457a8a85b1c0c8d">ACMP_MODCR0_TMR_TRI_LV_FALLING</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PosPin</td><td>is comparator0 positive input selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">ACMP_CR_CPP0SEL_PA1</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">ACMP_CR_CPP0SEL_PA2</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">ACMP_CR_CPP0SEL_PA3</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">ACMP_CR_CPP0SEL_PA4</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ChargePin</td><td>is charge or discharge pin selection. Including :<ul>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15e2af0fea9fbf8b15ddedc44f186d12">ACMP_MODCR0_CH_DIS_PINSEL_PA1</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab670864bd85e62048db8435ea3a826b7">ACMP_MODCR0_CH_DIS_PINSEL_PA2</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga202acb91d2c6b5c0c85926f03e002440">ACMP_MODCR0_CH_DIS_PINSEL_PA3</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7d1c1926b071befc76924b883e4d0c2">ACMP_MODCR0_CH_DIS_PINSEL_PA4</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab81cfc3b514619a7fb9d081fedab153b">ACMP_MODCR0_CH_DIS_PINSEL_PA5</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada38658fdc228b40aefefd7766810e6c">ACMP_MODCR0_CH_DIS_PINSEL_PA6</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4ab39c376c5bf5d9096964f9587f49">ACMP_MODCR0_CH_DIS_PINSEL_PA14</a></li>
<li><a class="el" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30f3f7b9ef410b74749b6e4c9e276132">ACMP_MODCR0_CH_DIS_PINSEL_PF5</a></li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d3/df1/acmp_8c_source.html#l00142">142</a> of file <a class="el" href="../../d3/df1/acmp_8c_source.html">acmp.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
